@font-face {
    font-family: suisse-regular;
    src: url(../fonts/suisse-regular.otf) format("opentype");
}

@font-face {
    font-family: suisse-book;
    src: url(../fonts/suisse-book.otf) format("opentype");
}

@font-face {
    font-family: suisse-medium;
    src: url(../fonts/suisse-medium.otf) format("opentype");
}

html,
body {
    height: 100%;
    padding: 0;
    margin: 0;
}

.vl {
    border: 1px solid black;
    height: 100%;
    position: absolute;
    left: 50%;
    top: 0%;
}
.hl {
  border: 1px solid black;
  width: 50%;
  position: absolute;
  padding: 0;
  margin: 0;
  top: 25%;
}

/* Main flexbox container */

div.container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

div.peschpesch {
    height: 25%;
    width: 50%;
}

div.projects {
    position: relative;
    height: 75%;
    width: 50%;
    overflow: auto;
}


/* Styles for the flex-items */


/* div.container > div:not(.images) {
  width: 50%;
  height: 50%;
} */


/* Media query for responsiveness */

@media only screen and (max-width: 768px) {
    div.container {
        flex-direction: row;
    }
    div.container>div {
        height: auto !important;
        width: 100% !important;
        padding-bottom: 0.2em;
    }
    div.peschpesch {
        order: 1;
    }
    div.images {
        order: 2;
        max-height: 60%;
    }
    div.projects {
        order: 3;
        height: 25%;
    }
    ul#projects-list {
        line-height: 0.4;
        padding: 0em 1em 0em 1em;
    }
    a.projectslist.active {
        font-size: 3.8vw;
    }
    a.projectslist {
        font-size: 3.8vw !important;
    }
    p {
        font-size: 2.8vw !important;
    }
    .hl {
        display: none;
      }
    .vl {
        display: none;
      }
}

a {
    font-family: 'suisse-medium', Helvetica, sans-serif;
    color: black;
    font-size: 6.4vw;
    line-height: 0.9;
    padding-left: 0.2em;
    padding-top: 0.2em;
    padding-bottom: 0.2em;
    text-decoration: none;
    display: inline-block;
}

a.projectslist {
    font-family: 'suisse-regular', Helvetica, sans-serif;
    color: black;
    font-size: 2.2vw;
    line-height: 1.08;
    padding: 0em 0.2em 0.2em 0px;
}

a.projectslist:hover {
    font-family: 'suisse-regular', Helvetica, sans-serif;
    color: black;
    font-size: 2.2vw;
    line-height: 1.08;
    padding: 0em 0.2em 0.2em 0px;
    text-decoration: underline;
    cursor: pointer;
}

a.projectlink {
    font-family: 'suisse-regular', Helvetica, sans-serif;
    font-size: 2.2vw;
    cursor: alias;
}

a.projectlink:hover {
    text-decoration: underline;
    cursor: alias;
}

ul {
    position: relative;
    list-style: none;
    margin-left: 0.2em;
    padding-right: 2em;
}

ul#projects-list>li {
    display: inline;
}

ul li a.active,
ul li a.active:before {
    text-decoration: underline;
    content: "→ ";
    font-family: 'suisse-regular', Helvetica, sans-serif;
    font-size: 2.2vw;
}

ul li a:before {
    display: inline;
    font-family: 'suisse-regular', Helvetica, sans-serif;
    font-size: 2.2vw;
    line-height: 1.08;
    /*content: "→ ";*/
    -webkit-transition: -webkit-transform .8s ease-in-out;
    -ms-transition: -ms-transform .8s ease-in-out;
    transition: transform .4s ease-in-out;
}

ul li a+p {
    display: none;
    font-family: 'suisse-regular', Helvetica, sans-serif;
    margin-top: 0px;
    margin-bottom: 0px;
    height: 0px;
    width: 0px;
    overflow: hidden;
}

ul li a.active+p {
    display: inline;
}

ul li p {
    display: none;
    font-family: 'suisse-regular', Helvetica, sans-serif;
    font-size: 1.2vw;
    line-height: 1.25;
    margin-top: 0px;
    margin-bottom: 0px;
    height: 0px;
    width: 0px;
    overflow: hidden;
}

ul li p.active {
    display: inline;
    font-family: 'suisse-regular', Helvetica, sans-serif;
    font-size: 1.4vw;
}

.peschpesch {
    background-color: white;
    color: black;
}

.peschpesch:hover {
    background-color: black;
    color: white;
    cursor: pointer;
}

.peschpesch:hover a {
    color: white;
}

.projects {
    background-color: white;
    color: black;
}

.projects:hover {
    background-color: black;
    color: white;
}

.projects:hover a {
    color: white;
}

.images {
    object-fit: contain;
    background-color: black;
    height: 100%;
    width: 50%;
    overflow-y: scroll;
}

.images>* {
    max-width: 100%;
    margin: 0;
    padding: 0;
}

.projects::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 0;
    height: 0;
}

small {
    font-family: 'suisse-regular';
    color: white;
    position: relative;
    top: -5px;
    left: 85%;
    padding: 0;
}